Skip to main content
GET
/
watchlist
/
signals
Get Signal Agent signals
curl --request GET \
  --url https://api.lemlist.com/api/watchlist/signals \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://api.lemlist.com/api/watchlist/signals"

headers = {"Authorization": "Basic <encoded-value>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};

fetch('https://api.lemlist.com/api/watchlist/signals', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
require 'uri'
require 'net/http'

url = URI("https://api.lemlist.com/api/watchlist/signals")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Basic <encoded-value>'

response = http.request(request)
puts response.read_body
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api.lemlist.com/api/watchlist/signals",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "",
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "GET",
  CURLOPT_HTTPHEADER => [
    "Authorization: Basic <encoded-value>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
{ "data": [ { "_id": "<string>", "teamId": "<string>", "watchListId": "<string>", "receivedAt": "2023-11-07T05:31:56Z", "createdAt": "2023-11-07T05:31:56Z", "signalData": { "jobTitle": "<string>", "jobDescription": "<string>", "jobLocation": "<string>", "jobUrl": "<string>", "jobStatus": "<string>", "recruiterName": "<string>", "recruiterTitle": "<string>", "recruiterLinkedinUrl": "<string>", "recruiterEmail": "<string>", "websiteVisited": "<string>", "visitorWebsite": "<string>", "visitorCountry": "<string>", "visitorDuration": 123, "startDate": "<string>", "previousCompany": "<string>", "previousCompanyLinkedinUrl": "<string>", "trackedCompanyUrl": "<string>", "linkedinPeopleProfilePostUrl": "<string>", "linkedinPeopleProfilePostContent": "<string>", "linkedinPeopleProfilePostCreatorName": "<string>", "linkedinPeopleProfileType": "<string>", "linkedinPeopleProfileMentionContent": "<string>", "linkedinPeopleProfileTrackedContactUrl": "<string>", "linkedinPeopleProfileDate": "<string>", "linkedinCompanyProfilePostUrl": "<string>", "linkedinCompanyProfilePostContent": "<string>", "linkedinCompanyProfilePostCreatorName": "<string>", "linkedinCompanyProfileType": "<string>", "linkedinCompanyProfileMentionContent": "<string>", "linkedinCompanyProfileTrackedCompanyUrl": "<string>", "linkedinCompanyProfileDate": "<string>", "linkedinKeywordsPostUrl": "<string>", "linkedinKeywordsPostContent": "<string>", "linkedinKeywordsPostCreatorName": "<string>", "linkedinKeywordsType": "<string>", "linkedinKeywordsMentionContent": "<string>", "linkedinKeywordsMatchedKeywords": "<string>", "linkedinKeywordsLocation": "<string>", "linkedinKeywordsDate": "<string>", "linkedinKeywordsPostCreatorUrl": "<string>", "linkedinKeywordsPostCreatorCompanyUrl": "<string>", "customSignalTitle": "<string>", "customSignalQuestion": "<string>", "customSignalAnswer": "<string>", "customSignalConfidence": 123, "customSignalLongAnswer": "<string>", "customSignalHeadlines": "<string>", "customSignalSources": "<string>", "fundingType": "<string>", "fundingStage": "<string>", "fundingAmountUsd": 123, "fundingAmountNative": 123, "fundingCurrency": "<string>", "fundingInvestors": "<string>", "fundingSourceUrl": "<string>", "buyingIntentTopics": "<string>", "buyingIntentTopTopic": "<string>", "competitorReactionsTrackedContactUrl": "<string>", "competitorReactionsPostUrl": "<string>", "competitorReactionsPostContent": "<string>", "competitorReactionsPostCreatorName": "<string>", "competitorReactionsEngagementType": "<string>", "competitorReactionsMentionContent": "<string>", "competitorReactionsDate": "<string>", "acquisitionType": "<string>", "acquirerName": "<string>", "acquirerWebsite": "<string>", "acquireeName": "<string>", "acquireeWebsite": "<string>", "dealPriceUsd": 123, "dealCurrency": "<string>", "announcementDate": "<string>", "acquirerCrunchbaseUrl": "<string>", "acquireeCrunchbaseUrl": "<string>", "technologyChangeName": "<string>", "technologyChangeSourceType": "<string>", "technologyChangeFirstSeenAt": "<string>", "technologyChangeLastSeenAt": "<string>", "technologyChangeCompanyName": "<string>", "technologyChangeCompanyDomain": "<string>", "promotionJobTitle": "<string>", "promotionFormerJobTitle": "<string>", "promotionStartDate": "<string>", "externalSignalCustomFields": {} }, "watchListName": "<string>", "contact": { "_id": "<string>", "firstName": "<string>", "lastName": "<string>", "email": "<string>", "jobTitle": "<string>", "phone": "<string>", "linkedinUrl": "<string>", "picture": "<string>" }, "company": { "_id": "<string>", "name": "<string>", "domain": "<string>", "linkedinUrl": "<string>", "industry": "<string>", "picture": "<string>" } } ], "meta": { "pagination": { "page": 123, "limit": 123, "totalRecords": 123, "totalPages": 123 } } }
This endpoint allows you to fetch signals detected by your Signal Agents with support for filtering by type, status, date range, and Signal Agent ID.

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

page
integer

Page number to retrieve

Required range: x >= 1
limit
integer

Number of signals to retrieve. Maximum value: 100

Required range: 1 <= x <= 100
sortBy
enum<string>

The field by which to sort signals

Available options:
receivedAt,
createdAt
sortOrder
enum<string>

The sort direction

Available options:
asc,
desc
type

Filter by signal type(s). Can be a single value or array using type[] notation. Valid values from WATCH_LIST_SIGNAL_CONFIGURATIONS_TYPES_STANDARD_KEYS

status

Filter by signal status(es). Can be a single value or array using status[] notation. Valid values from WATCH_LIST_SIGNAL_COMPUTED_STATUSES

receivedAtFrom
string<date-time>

Filter signals received on or after this date (ISO date string)

receivedAtTo
string<date-time>

Filter signals received on or before this date (ISO date string). Must be greater than receivedAtFrom if both are provided

watchListId
string

Filter signals by specific Signal Agent ID

Minimum string length: 1

Response

Success

Paginated response containing signals detected by Signal Agents

data
object[]

Signals matching the query parameters

meta
object